<?php

/*
 * Copyright 2020 Netsyms Technologies.
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


if ($VARS["action"] == "listlabels") {
    $templates = DeviceLabelPrinter::getLabelTemplates();
    sendJsonResp("", "OK", ["labels" => $templates]);
}

if (Machine::exists($VARS["id"])) {
    $machine = new Machine($VARS['id']);
} else if (Machine::serialExists($VARS["id"])) {
    $machine = new Machine(Machine::getIDFromSerial($VARS['id']));
} else {
    http_response_code(404);
    sendJsonResp("Requested ID does not exist.", "ERROR");
}

$templates = DeviceLabelPrinter::getLabelTemplates();

$labeltype = array_keys($templates)[0];

if (array_key_exists($VARS["type"], $templates)) {
    $labeltype = $VARS["type"];
}

$printer = new DeviceLabelPrinter($labeltype, $machine);

$printer->servePDF();
